CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   openfoam install in redhat (

zaynah04 November 6, 2013 07:43

openfoam install in redhat
i have redhat linux working in rocks linux.
i am installing the openfoam from this link unfortunately i obtain the following message..

[root@cluster ~]# sudo rpm -i

error: Failed dependencies: is needed by OpenFOAM-scotch-6.0.0-1.x86_64
[root@cluster ~]# sudo rpm -i
please advice
kind regards
zaynah ..

wyldckat November 6, 2013 16:59

Greetings zaynah,


Originally Posted by zaynah04 (Post 460826)
i have redhat linux working in rocks linux.

Which specific version of RHEL and/or Rocks Linux?

The RPM packages meant for Fedora will likely not work on RHEL/CentOS/SL. One of the reasons is because Fedora is several generations ahead of RHEL/CentOS/SL.

Either way, you'll have to build from source: - but the detail is that GCC 4.5 is necessary, which RHEL 6.x and older do not provide by default.

If you have RHEL or Rocks Linux 6.4, then you can simply follow these instructions:

Best regards,

All times are GMT -4. The time now is 22:06.